← 返回接口文档

GET/api/v1/matches/realtime/live

获取实时统计数据
实时数据包activebetacore可调用(数据有范围)

接口说明

返回最近120min内的比赛事件、技术统计、文字直播数据(全量更新)
ps:非120min内的比赛数据有更新,也会同步返回
建议请求频次:2s/次

比赛进行分钟数获取公式
上半场:比赛进行分钟数=(当前时间戳-上半场开球时间戳) / 60 + 1
下半场:比赛进行分钟数=(当前时间戳-下半场开球时间戳) / 60 + 45 + 1
加时:比赛进行分钟数=(当前时间戳-加时开球时间戳) / 60 + 90 + 1

stats 比赛统计字段说明
包含:角球、黄牌、红牌、点球、射正、射偏、进攻、危险进攻、控球率、射门被阻挡

incidents 比赛事件字段说明
包含:黄牌、两黄变红、红牌、进球(助攻)、换人、点球、点球未进、乌龙球、VAR、中场、伤停补时、结束、加时结束、点球大战结束、补水

tlive 文字直播字段说明
包含:黄牌、红牌、进球、换人、角球、越位、助攻、比赛开始、中场、结束等

调用信息

请求
GET https://api.sports.csap.ai/api/v1/matches/realtime/live
鉴权
请求头 X-API-Key: <你的 key>(也支持 Authorization: Bearer <key>;?key= 仍可用但不建议,key 会留在地址和日志里)
外部 key
可调用(数据有范围)外部 key 可以调用,但只返回开放范围内的数据,见「通用说明 · 外部 key 的数据范围」。
频率限制
每分钟 3000 次 · 每天 200000 次 · 按 key 配置(以 /api/v1/account 返回的 rate_per_min、quota_daily 为准;上面是试用 key 的值),超出回 429。另外整表快照、不带比赛 id 的统计列表等重型请求全站同时只处理 2 个,排不上回 429 + Retry-After。响应里暂时没有 X-RateLimit-* 头。 详见通用说明

请求参数 0

该接口无请求参数。

请求示例

curl "https://api.sports.csap.ai/api/v1/matches/realtime/live" \
  -H "X-API-Key: YOUR_API_KEY"

在线调试

示例返回

下面是 2026/11/09 22:28(北京时间) 用外部 key 实际请求的返回:HTTP 200,17 行,153 ms(数据只留前 2 行)

{
  "code": 0,
  "data": [
    {
      "add_time": null,
      "asian_handicap": null,
      "away": null,
      "away_corner": 2,
      "away_gtid": 2754,
      "away_logo": "http://43.99.60.51:8080/logos/6c6aae150f07e809b201d4b85b5510a6dd4fe49b18a01134556f0cfbfdf698ee.png",
      "away_ot": null,
      "away_pen": 0,
      "away_red": 0,
      "away_score": 1,
      "away_team": "Al-Nasr Dubai U23",
      "away_yellow": 1,
      "away_zh": "迪拜胜利U23",
      "comp_logo": "http://43.99.60.51:8080/logos/3fc65e7b8ba1c7f66833ce29e903d3686a1fc242caa228c4fea886f726f68f27.png",
      "confidence": null,
      "cur_period_start": 1794232886,
      "data": null,
      "field_src": {
        "away_corner": "S7",
        "away_pen": "S5",
        "away_red": "S7",
        "away_score": "S7",
        "away_yellow": "S7",
        "half_away": "S7",
        "half_home": "S7",
        "home_corner": "S7",
        "home_pen": "S5",
        "home_red": "S7",
        "home_score": "S7",
        "home_yellow": "S7",
        "status": "S3"
      },
      "field_ts": null,
      "gcid": 1465,
      "gmid": 4113,
      "half_away": 1,
      "half_home": 0,
      "home": null,
      "home_corner": 3,
      "home_gtid": 2753,
      "home_logo": "http://43.99.60.51:8080/logos/ffaf25c6ed0ba1976cb3dea85342df943ccd5d61bd25f84c05a158b39ff8ebdc.webp",
      "home_ot": null,
      "home_pen": 0,
      "home_red": 0,
      "home_score": 0,
      "home_team": "Dubai United U23",
      "home_yellow": 5,
      "home_zh": "迪拜联U23",
      "id": 4113,
      "incidents": null,
      "inferred_reason": null,
      "league": "UAE U23 League",
      "league_zh": "阿联U23",
      "main": null,
      "minute": "73",
      "ou_line": null,
      "period_initial": 2700,
      "player_id": null,
      "player_name": null,
      "position": null,
      "reason_type": null,
      "region": "cn",
      "score": null,
      "second": null,
      "source": "merged",
      "sources": "S5,S9,S3,S2,S7",
      "start_ts": "2026-11-09T12:55:00Z",
      "stats": null,
      "status_code": 4,
      "status_id": 4,
      "status_inferred": false,
      "status_type": "inprogress",
      "time": null,
      "tlive": null,
      "type": null,
      "updated_at": 1794234509642,
      "var_reason": null,
      "var_result": null,
      "version": 117
    },
    {
      "add_time": null,
      "asian_handicap": null,
      "away": null,
      "away_corner": 0,
      "away_gtid": 3544,
      "away_logo": "http://43.99.60.51:8080/logos/2c16d31304410421c146eabbba52fcf46b2c20e8bc5cfb5c9c8a7d58f89d9892.webp",
      "away_ot": null,
      "away_pen": 0,
      "away_red": 0,
      "away_score": 0,
      "away_team": "Palayesh Naft Bandar Abbas FC",
      "away_yellow": 0,
      "away_zh": "阿巴斯港石油",
      "comp_logo": "http://43.99.60.51:8080/logos/c9b7afcc9db847eb44761dbadee0fd93de78ff6be7a74e0abc0d39a3ba4a2234.png",
      "confidence": null,
      "cur_period_start": 1794233880,
      "data": null,
      "field_src": {
        "away_corner": "S7",
        "away_pen": "S5",
        "away_red": "S7",
        "away_score": "S7",
        "away_yellow": "S7",
        "half_away": "S7",
        "half_home": "S7",
        "home_corner": "S7",
        "home_pen": "S5",
        "home_red": "S7",
        "home_score": "S7",
        "home_yellow": "S7",
        "status": "S3"
      },
      "field_ts": null,
      "gcid": 1463,
      "gmid": 4130,
      "half_away": 0,
      "half_home": 2,
      "home": null,
      "home_corner": 0,
      "home_gtid": 3543,
      "home_logo": "http://43.99.60.51:8080/logos/41dec58589c6edfb9419e8245820f4cdab184b7789ade7f8b6daaecc6545a3a4.webp",
      "home_ot": null,
      "home_pen": 0,
      "home_red": 0,
      "home_score": 2,
      "home_team": "Pars Jonoubi Jam",
      "home_yellow": 0,
      "home_zh": "帕尔斯布什尔",
      "id": 4130,
      "incidents": null,
      "inferred_reason": null,
      "league": "Azadegan League",
      "league_zh": "伊朗甲",
      "main": null,
      "minute": "56",
      "ou_line": null,
      "period_initial": 2700,
      "player_id": null,
      "player_name": null,
      "position": null,
      "reason_type": null,
      "region": "cn",
      "score": null,
      "second": null,
      "source": "merged",
      "sources": "S5,S9,S4,S3,S2,S7",
      "start_ts": "2026-11-09T13:15:00Z",
      "stats": null,
      "status_code": 4,
      "status_id": 4,
      "status_inferred": false,
      "status_type": "inprogress",
      "time": null,
      "tlive": null,
      "type": null,
      "updated_at": 1794234520222,
      "var_reason": null,
      "var_result": null,
      "version": 90
    }
  ],
  "message": "success",
  "success": true
}

返回字段 65

add_timenull可为空补时(伤停补时事件、伤停补时中发生的事件存在)
asian_handicapnull可为空亚盘
awaynull可为空客队值
away_cornerinteger客队角球数示例: 2
away_gtidinteger客队我方球队 id示例: 2754
away_logostring可为空客队 logo(本平台的图片地址)
away_otnull可为空客队加时比分
away_peninteger客队点球大战比分示例: 0
away_redinteger客队红牌数示例: 0
away_scoreinteger客队比分(常规时间,含补时)示例: 1
away_teamstring客队名(英文)示例: "Al-Nasr Dubai U23"
away_yellowinteger客队黄牌数示例: 1
away_zhstring客队中文名示例: "迪拜胜利U23"
comp_logostring赛事 logo(本平台的图片地址)
confidencenull可为空
cur_period_startinteger可为空当前阶段开始时间(Unix 秒)示例: 1794232886
datanull可为空事件内容
field_srcobject· 13
field_tsnull可为空
gcidinteger我方赛事 id示例: 1465
gmidinteger我方比赛 id(gmid,全平台唯一)示例: 4113
half_awayinteger客队半场比分示例: 1
half_homeinteger主队半场比分示例: 0
homenull可为空主队值
home_cornerinteger主队角球数示例: 3
home_gtidinteger主队我方球队 id示例: 2753
home_logostring可为空主队 logo(本平台的图片地址;没有时为空)
home_otnull可为空主队加时比分
home_peninteger主队点球大战比分示例: 0
home_redinteger主队红牌数示例: 0
home_scoreinteger主队比分(常规时间,含补时)示例: 0
home_teamstring主队名(英文)示例: "Dubai United U23"
home_yellowinteger主队黄牌数示例: 5
home_zhstring主队中文名示例: "迪拜联U23"
idinteger记录 id;翻页游标(id 参数取 >= 此值的记录)。比赛类接口里是我方比赛 id(gmid)示例: 4113
incidentsnull可为空比赛事件字段说明,可能不存在
inferred_reasonnull可为空推断原因
leaguestring赛事名(英文)示例: "UAE U23 League"
league_zhstring赛事中文名示例: "阿联U23"
mainnull可为空是否重要事件,1-是、0-否
minutestring比赛进行分钟示例: "73"
ou_linenull可为空大小球盘口
period_initialinteger可为空当前阶段起始分钟示例: 2700
player_idnull可为空球员 id
player_namenull可为空球员名
positionnull可为空位置
reason_typenull可为空红黄牌、换人事件原因,详见状态码->事件原因(红黄牌、换人事件存在)
regionstring比赛所属范围:cn 在对外开放范围内 / intl 其他示例: "cn"
scorenull可为空比分
secondnull可为空时间
sourcestring数据来源代号(S1、S2…)示例: "merged"
sourcesstring这条合并记录的来源代号列表(逗号分隔)示例: "S5,S9,S3,S2,S7"
start_tsstring开赛时间(UTC,ISO 8601)示例: "2026-11-09T12:55:00Z"
statsnull可为空统计项
status_codeinteger状态码示例: 4
status_idinteger比赛状态码(见状态与类型码对照表)示例: 4
status_inferredboolean状态是否为推断示例: false
status_typestring比赛状态:notstarted 未开赛 / inprogress 进行中 / finished 已结束 等示例: "inprogress"
timenull可为空时间 / 分钟
tlivenull可为空文字直播字段说明,可能不存在
typenull可为空类型
updated_atinteger最后更新时间(UTC,ISO 8601;增量同步用 time 参数按它取)示例: 1794234509642
var_reasonnull可为空VAR原因(VAR事件存在) · 1-进球判定 · 2-进球未判定 · 3-点球判定 · 4-点球未判定 · 5-红牌判定 · 6-出牌处罚判定 · 7-错认身份 · 8-角球判定 · 9-角球未判定 · 0-其他
var_resultnull可为空VAR结果(VAR事件存在) · 1-进球有效 · 2-进球无效 · 3-点球有效 · 4-点球取消 · 5-红牌有效 · 6-红牌取消 · 7-出牌处罚核实 · 8-出牌处罚更改 · 9-维持原判 · 10-判罚更改 · 11-角球有效 · 12-角球无效 · 0-未知
versioninteger版本号(越大越新)示例: 117

错误码

HTTPmessage场景
401missing API key / unauthorized没带 X-API-Key 或 key 无效、已停用
429rate limit exceeded / daily quota exceeded超过 key 的每分钟次数或每日配额
429server busy, retry later服务端并发名额已满(重型请求同时只有 2 个),按 Retry-After 秒后重试
500query error服务端查询失败,可重试